### Method

# AppStream Component set_pkgname

since: 0.14.5

#### Declaration [src]

    void
    as_component_set_pkgname (
      AsComponent* cpt,
      const gchar* pkgname
    )

#### Description [src]

Set the package name that provides this component.

Available since: 0.14.5

#### Parameters

`pkgname`

  Type: `const gchar*`

  The package name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.